using System;

namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter07.Listing07_22
{
    public class Program
    {
        public static void Save(object data)
        {

            if (data is string)
            {
                string text = (string)data;
                if (text.Length > 0)
                {
                    data = Encrypt(text);
                    // ...
                }
            }
            else if (data == null)
            {
                throw new ArgumentNullException(nameof(data));
            }
            // ...

            Console.WriteLine(data);
        }

        private static object Encrypt(string data)
        {
            // Implementacja szyfrowania znajduje się w rozdziale 19.
            return $"ZASZYFROWANE <{data}> ZASZYFROWANE";
        }
    }
}
